Subject: Re: bug#63750: 30.0.50; tree-sitter: `treesit-language-source-alist' is not customisable

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 May 2023 17:40:26 +0300

> From: Yuan Fu <[email-masked]>
> Date: Sun, 28 May 2023 15:51:05 -0700
> Cc: [email-masked],
>  [email-masked]
> 
> 
> 
> > On May 27, 2023, at 10:32 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Yuan Fu <[email-masked]>
> >> Date: Sat, 27 May 2023 16:12:18 -0700
> >> Cc: Mickey Petersen <[email-masked]>,
> >> [email-masked]
> >> 
> >>> However, I think we decided to make it so that each installation
> >>> should update the value of the variable with the data of the grammar
> >>> just installed.  I see that we don't actually do that -- Yuan, am I
> >>> misremembering this?  If not, would you please add code to add to the
> >>> variable's value the data of every grammar that is installed?
> >> 
> >> Sure. Does it need to be preserved across sessions (ie, use custom)? Or just add for the current session?
> > 
> > Only for the current session.  Users who want it preserved should do
> > it themselves (I will add that to the doc string when the code which
> > updates the variable is installed).
> 
> Done.

Thanks.  And I see that you have updated the doc string accordingly.